define(() => {
	
	const KEYS = ["AFGEKEURD", "GOEDGEKEURD", "ONBESLIST", "NOG_NIET_BEOORDEELD", "ONBEKEND"];
	const COLORS = ["red", "white", "orange", undefined, undefined];

	const option = (k) => ({ 
		value: k, color: COLORS[KEYS.indexOf(k)],
		content: locale("bro:gld:Measurement-statusQC#" + k)
	});


	return {
		// options is a method so that late binding (to locales) is used per definition
		
		values: KEYS,
		options: () => [option("ALLES")].concat(KEYS.map(k => option(k)))
	};
	
});