define(function(require) {
	
	var DateUtil = {
		
		days: ["Zondag", "Maandag", "Dinsdag", "Woensdag", "Donderdag", 
			"Vrijdag", "Zaterdag"],
			
		months: ["Jan", "Feb", "Mar", "Apr", "Mei", "Jun", "Jul", 
			"Aug", "Sep", "Okt", "Nov", "Dec"],
		
		dayOfWeek: function(date) {
			return this.days[date.getDay()];
		},
		makedate: function(date) {
		    if(!date) {
		        return null;
		    }
		    date = date.split("T");
		    if(date.length === 2) {
		        date[0] = date[0].split("-");
		        date[1] = date[1].split(":");
		    }
		
			return new Date(Date.UTC(
		        parseInt(date[0].shift(), 10), 
		        parseInt(date[0].shift(), 10) - 1, 
		        parseInt(date[0].shift(), 10),
		        parseInt(date[1].shift(), 10),
		        parseInt(date[1].shift(), 10),
		        parseFloat(date[1].shift())
		    ));
		},
		strdate: function(date, time) {
		    if(!date) {
		        return "";
		    }
		    if(time === true) {
		        return String.format("%d/%02d/%02d %02d:%02d:%02d", 
		                date.getFullYear(), date.getMonth() + 1, date.getDate(),
		                date.getHours(), date.getMinutes(), date.getSeconds());
		    }
		    // return String.format("%d/%02d/%02d", 
		    //         date.getFullYear(), date.getMonth() + 1, date.getDate());
		
		    var months = ["Jan", "Feb", "Mrt", "Apr", "Mei", "Jun", "Jul", "Aug", 
		            "Sep", "Oct", "Nov", "Dec"];
		    return String.format("%d %s %d", date.getDate(), months[date.getMonth()], 
		                date.getFullYear());
		}
	};
	
	return DateUtil;
});