### 2025/01/27 (2.0.24)

* Refactors Session => Session-v2 (first commit)
* Refactors Session-v1 => Session (deletes -v1)

### 2025/01/27 (2.0.23)

* Fixes "login with invalid credentials"-bug
* Updates veldoffice/KLIC-layer (https and transparent) updates the docs
* Refactors Session => Session-v1 starts development of new version of Session (with VA)

### 2024/12/11 

* Adds Klant.kvknummer adds LoggerPlaatsing.gain and -wsOffset adds Meetpunt.status adds MeetpuntFilter.guid adds Onderzoek.broSadId

### 2024/10/31 

* Updates the docs and other minor changes
* Introduces js.nameOf - first commit
* Adds EM.persist restores EM.update for downwards compatibility fixes setting/processing nested attribute values
* Adds support for sikb 146 and 149 introduces VO.q, VO.resource2doc adds resource veldoffice://codes
 
### 2024/08/26 

* Adds workaround/automatic "null" value detection for doubles
* Adds support for sikb148 updates the docs

### 2024/05/20 

* Adds support for MeetpuntAudit, MeetpuntFilterAudits updates/refreshes the models, codering-references, new attributes, removed/refactored attributes, etc.

### 2023/09/12 

develops veldoffice://sikb13-links to appear/render correctly in devtools components
enhances EM
fixes potential (seen) bug
adds sikb135 resource adds caching for document- and sikb135-resources
adds Credentials_reload to VO.util
fixes resource.uri + "/undefined" issue (for now)

### 2023/06/21 (2.0.22)

* First commit for StatusKwaliteitsControle (? that would explain the bumpy ride)
* Adds `VO.checkReload()`, for automatic page reloading when a newer version is available
* Updates the devtools-interface

### 2023/03/08 (2.0.21)

* Fixes compatibility issues between entity-encoding styles
* Fixes an issue with `EM.update()` - not used much before probably :-p
* Adds [devtools.js](src/veldapps.com/veldoffice/:) - used to integrate/create **Veldoffice-cod&vtools**

### 2022/10/30 (2.0.20)

* Updates `veldoffice/Session` to throw when no session is available

### 2022/10/13 (2.0.19)

* Updates `veldoffice/util/Leaflet.createMap()` to be downwards compatible

### 2022/09/23 (2.0.18)

* Extends `EM.revert()` to revert whole instances when called with one parameter

### 2022/09/16 (2.0.17)

* Adds a WGS84 map
* Adds support for custom layers, backgrounds and overlays developing interface for custom crs
* Adds support for specifying CRS by number

### 2022/09/11 (2.0.16)

* Updates Leaflets default map settings

### 2022/09/10 (2.0.15)

* Fixes confusion about Leaflet and RD maps

### 2022/09/09 (2.0.14)

* Adds luchtfoto layer as base layer
* Extends `veldoffice/EM.entityByPath`-keys

### 2022/08/25 (2.0.13)

* Adds extra (VeldwerkM-) entities, mainly for usage by Watermonster

### 2022/07/03 (2.0.12)

* Updating models.json

### 2022/04/29 (2.0.10)

* Adding VO and VO-vat

### 2022/04/13 (2.0.9)

* veldoffice/EM.toInstance can be passed an existing instance and will it return it immediately

### 2022/03/18 (2.0.8)

`#VA-20220307-1`

* Support for array values 

### 2022/02/10 (2.0.7)

* Fix for **veldoffice/Session**.`host` and `baseUrl` properties

### 2021/12/07 (2.0.6)

* Updating for PP

### 2021/11/30 (2.0.5b)

* Fixing for unanticipated "0 results" while determining result size

### 2021/11/04 (2.0.5a)

* Introducing veldoffice-vcl/Query:property:summary
* EM.count's result routed to veldoffice-vcl/Query

### 2021/10/23 (2.0.5)

* Introducing veldoffice/KLIC - not sure about this namespace/path, but hey, it's a start

### 2021/09/26 (2.0.4)

* Introducing a switch/workaround to enable/disable the automatically login-feature. Sadly it's not foolproof yet, but we need to move on with veldoffice-rapportage-vcl and -geografie-vcl.

### 2021/09/25 (2.0.3) `#VA-20210827-1`

* BRO-codes => naam? split(" ")[0] yuk!

### 2021/09/24 (2.0.2) `#VA-20210827-1`

* **veldoffice/EM**: The values of nested geoTechnisch-attributes are copied to the corresponding brobhrgt:-attributes (EM.processWalkResult2)

### 2021/09/12 (2.0.1)

* Adding lastLogin-tracking to veldoffice/Session
	* automatically login after certain timeout

### 2021/09/04 (2.0.0)

* Slimming package down, no more Leaflet or Proj4
* Dependencies are taken over by veldapps-leaflet-js
* Framework7 has been removed

### 2021/08/25 (1.0.68)

* Improving `EM.instance()`
* Fixing count-bug in vcl-veldoffice/Query

### 2021/08/24 (1.0.67)

* Updating models.json
* Fixing several "kinderziektes" in EM.walk
* Improving public detection
* Fixing a bug which caused the vcl-veldoffice/Query count-feature to become static/unreliable

### 2021/08/16 (1.0.64)

- Removing dependency leaflet.bouncemarker

### 2021/08/09 (1.0.64*)

- Enhancing `EM.query` for easier use
- Enhancing `Session.request` waitFor detection

### 2021/08/07 (1.0.63)

- Introducing EM.toInstance() and EM.ROOT
- Adding `options` property implementing ROOT override (**veldoffice-vcl/Query**)

### 2021/07/23+ (1.0.62)

- Published in favor of VeldwerkGT/VA/V7

### 2021/07/23 (1.0.61)

- Fix for `EM.walk`

### 2021/07/20 (1.0.60)

- Updating models
- Updating PDOK layers

### 2021/07/11 (1.0.59)

- Fixed `models.json` where some Codering-specific references were missing

### 2021/07/07 (1.0.58)

- Fixed some issues with `EM.walk`

### 2021/06/24 (1.0.57)

### 2021/06/23 (1.0.56)

* Enhancing EM.walk - preloading

### 2021/05/23 (1.0.55)

* Updating, some bugs were fixed, some models refreshed

### 2021/02/12 (1.0.54)

### 2021/01/27 (1.0.51)
- Fixing EM.walk (veldwaarnemingen got lost)
- Fixing jQuery promises

### 2021/01/23
* New models (FilterMeting, BRO)
* Introducing `EM.entities()`

### 2021/01/21
- veldoffice-vcl/Query: Fix for querying count with dynamic where-clause enabled

### 2020-12-26 (1.0.50)
- veldoffice/Session: Prepared for usage in apps (ie. no 'current' host)

### 2020-10-12 (1.0.49)
- Merged new Veldoffice models for BedrijfResource (#VA-20201012-2)


### 2020-07-31 (1.0.48)
- Bugfix for EM.fixReferences, dodge undefined values

### 2020-07-06 (1.0.47)
- Bugfix for EM.fixReferences, keep null values


### 2019-09-13 (1.0.44)
- Updating bgtlijngericht -> bgtomtrekgericht

### 2019-08-11 (1.0.40)
- EM.isDirty() - attribute can be path

### 2019-07-12 (1.0.39)
- models.json

### 2019-06-12
- Cleaning up PDOK artifacts

### 2019-06-04 (1.0.35)
- Bugfixing VA (fixReferences chaos) 

### 2019-02-05 (1.0.28)
- Fixed an issue where vcl-veldoffice/Query.getSize() reported incorrect values while onFilterObject is filtering records

### 2019-01-28 (1.0.27)
- Introducing EM.isDirty and EM.entityByPath

### 2018-12-19 (1.0.26)
- Queries can now be handled "raw", ie. not mapped on instances of a entity, which is the case when aggregated functions are used (to group by year/week for instance)
- Queries that do not have an id attribute selected will auto generate one so that every record is unique

### 2018-12-17
- Testing and developing veldapps-vo/src/cavalion-blocks/ListOf and vcl-veldoffice:Query (and entities/EM)
	- count path/entity 
	- grouping, 
	- select from entity or path
	- raw might become unneccessary if you could select from path and instantiate entities
	- summary

### 2018-11-05
- Passing on criteria.opts to EM.query
- Improved Session bar

### 2018-11-03
- Refactoring model -> prototype

### 2018-10-28
- Developing EM.info()

### 2018-10-18
- Trying to fix the bug between bouncemarker and clustermarker

### 2018-09-22
- Found an incredible bug in EM.query (page: null, makes server crash, wtf does that come from all the sudden? -> parseInt)

### 2018-09-08
- Developing EM.query pager.load/save callbacks
- Developing server-paged-pouchdb-cached-infinite-virtual-scrolling-list-query 
- Some fixes for a V7-based demo "Meetpunt.veiligheidsklasse"

### 2018-09-04
- Working on V7 and v7-maps

### 2018-01-04
- Updated models.js
