define(function(require) {
	
	var Deferred = require("js/Deferred");
	var $ = require("jquery");
	var url = "https://nominatim.openstreetmap.org/search?format=json&q=";

	return {
		
		search: function(query, options) {
			var d = new Deferred();
			$.getJSON(url + window.escape(query) + "&json_callback=?", function() {
				d.callback.apply(d, arguments);
			}, function() {
				/* TODO errorhandling not working try with incorrect url to verify */
				alert("error?");
				d.errback.apply(d, arguments);
			});
			return d;
		}
	};

});