define(["js", "entities/Model", "json!./models"], function(js, Model, model) { 
	
	/*- NOTE: models.json should be as raw as can be and this module overrides 
		any differences for the corresponding context (client/server) -*/
		
	for(var k in model) {
		var e = model[k];
		for(var a in e) {
			var t = e[a];
			if(t === "has:MultiLingualString") {
				e[a] = "string";
			}
		}
	}
	
	js.mixIn(model.Onderzoek, {
       "grondwatermonitor": {
            "type": "set",
            "model": "OnderzoekGrondwaterMonitor",
            "path": "grondwatermonitor",
            "asIs": true
        },
        "signaleringen": {
            "type": "set",
            "model": "GrondwaterMonitorSignalering",
            "path": "grondwatermonitor/signalering",
            "asIs": true
        }
	});
	
	return Model.parse(model);
});